Subject: Re: [PATCH net-next v2 0/7] introduce read_poll_timeout

From: Andrew Lunn <[email-masked]>
Date: Sat, 21 Mar 2020 17:50:14 +0100

On Fri, Mar 20, 2020 at 09:34:24PM +0800, Dejin Zheng wrote:
> This patch sets is introduce read_poll_timeout macro, it is an extension
> of readx_poll_timeout macro. the accessor function op just supports only
> one parameter in the readx_poll_timeout macro, but this macro can
> supports multiple variable parameters for it. so functions like
> phy_read(struct phy_device *phydev, u32 regnum) and
> phy_read_mmd(struct phy_device *phydev, int devad, u32 regnum) can
> use this poll timeout framework.
> 
> the first patch introduce read_poll_timeout macro, and the second patch
> redefined readx_poll_timeout macro by read_poll_timeout(), and the other
> patches are examples using read_poll_timeout macro.

You missed lan87xx_read_status(), tja11xx_check(), and mv3310_reset().

If you convert all these, your diffstat might look better.

   Andrew